Bug 49860 - installation of grub boot loader onto partition doesn't mark partition active
installation of grub boot loader onto partition doesn't mark partition active
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-24 13:27 EDT by Chris Ricker
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-25 12:16:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2001-07-24 13:27:39 EDT
text or gui install, updates 07192001

using either install method, I told anaconda to install grub onto /dev/hda2
 on a machine where hda1 was the bootable partition.  anaconda installed
grub onto hda2 but didn't also make hda2 bootable, so the grub install
never came up.

Boot loader installation should at least check that the partition is
active, and warn if it is not, when installing to a partition.
Comment 1 Glen Foster 2001-07-24 16:28:02 EDT
Anaconda folks, does this represent a regression (w.r.t. the past behavior of
lilo)?  If so, please let me know so I can mark this bug as should- or must-fix.
Comment 2 Brent Fox 2001-07-24 19:54:12 EDT
Yes, I've seen this behavior on Tammy's test machine.  This should be a must-fix.
Comment 3 Chris Ricker 2001-07-25 01:43:06 EDT
The bug's actually even worse than I thought.  Here's my setup:

/dev/hda1 -- win2k (active partition)
/dev/hda2 -- /

grub is installed in /dev/hda2.  After installing Fairfax, I manually make
/dev/hda2 the active partition.  At that point, boots get me to the grub menu
like I should.

Now I boot linux.  When I power off and boot back up, I still get grub.

Now I boot win2k.  When I power off and boot back up, I go straight into win2k.
 I never get the grub bootloader.

lilo never had these issues when installed on /dev/hda2 on this same machine.
Comment 4 Michael Fulbright 2001-07-25 12:16:17 EDT
Seems like a similar issue has already been addressed. Does this ring a bell Jeremy?
Comment 5 Matt Wilson 2001-07-26 12:11:56 EDT
this is already fixed in beta3

Note You need to log in before you can comment on or make changes to this bug.